<?xml version="1.0"?>
<configuration xmlns="http://schemas.microsoft.com/.NetConfiguration/v2.0">
	<configSections>
		<section name="dataConfiguration" type="Microsoft.Practices.EnterpriseLibrary.Data.Configuration.DatabaseSettings, Microsoft.Practices.EnterpriseLibrary.Data, Version=3.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a"/>
	</configSections>
	<connectionStrings>
		<add name="HowaveConnectionString" connectionString="Data Source=WL2008;Initial Catalog=vgoshop2008sp2;Persist Security Info=True;User ID=sa;Password=12345678" providerName="System.Data.SqlClient"/>
	</connectionStrings>
	<appSettings>
		<add key="InstallDir" value="/"/>
		<add key="AppPrefix" value="hl_"/>
		<add key="WebKey" value="DGKJSRGYDGSDBXOEA"/>
	</appSettings>
	<system.web>
		<pages validateRequest="false" enableEventValidation="false">
			<controls>
				<add tagPrefix="asp" namespace="System.Web.UI" assembly="System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"/>
				<add tagPrefix="ajaxToolkit" namespace="AjaxControlToolkit" assembly="AjaxControlToolkit"/>
				<add tagPrefix="hl" tagName="HoWaveProvinceCity" src="~/UserControls/HowaveProvinceCity.ascx"/>
				<add tagPrefix="hl" tagName="CategoryList" src="~/UserControls/CategoryList.ascx"/>
				<add tagPrefix="hl" tagName="ClassMapPath" src="~/UserControls/ClassMapPath.ascx"/>
				<add tagPrefix="hl" src="~/UserControls/HowaveCity.ascx" tagName="HowaveCity"/>
				<add tagPrefix="hl" src="~/UserControls/IndexListCategory.ascx" tagName="IndexListCategory"/>
				<add tagPrefix="hl" src="~/UserControls/MemberTop.ascx" tagName="MemberTop"/>
				<add tagPrefix="hl" src="~/UserControls/QQTaobaoContactMe.ascx" tagName="QQTaobaoContactMe"/>
				<add tagPrefix="hl" src="~/UserControls/ShowMemberIdentify.ascx" tagName="ShowMemberIdentify"/>
				<add tagPrefix="hl" src="~/UserControls/ShowProduct.ascx" tagName="ShowProduct"/>
				<add tagPrefix="hl" src="~/UserControls/SalerRecommendProduct.ascx" tagName="SalerRecommendProduct"/>
				<add tagPrefix="hl" src="~/UserControls/ProductDetailSearch.ascx" tagName="ProductDetailSearch"/>
				<add tagPrefix="hl" src="~/UserControls/ShowShop.ascx" tagName="ShowShop"/>
				<add tagPrefix="hl" src="~/UserControls/ShopDetailSearch.ascx" tagName="ShopDetailSearch"/>
				<add tagPrefix="hl" src="~/UserControls/ShowArticle.ascx" tagName="ShowArticle"/>
				<add tagPrefix="hl" src="~/UserControls/ProvinceCity.ascx" tagName="ProvinceCity"/>
			</controls>
		</pages>
		<!-- 
            设置 compilation debug="true" 将调试符号插入
            已编译的页面中。但由于这会 
            影响性能，因此只在开发过程中将此值 
            设置为 true。
        -->
		<compilation debug="true">
   <assemblies>
    <add assembly="System.Transactions, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
    <add assembly="System.Configuration.Install, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
    <add assembly="System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
    <add assembly="System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
    <add assembly="System.Web.Extensions.Design, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
    <add assembly="System.Drawing.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
    <add assembly="System.Data.OracleClient, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
    <add assembly="System.Configuration, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
    <add assembly="System.Data, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
    <add assembly="System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
    <add assembly="System.Web, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
    <add assembly="System.Xml, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
    <add assembly="System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
   </assemblies>
   <buildProviders>
    <add extension=".ascx" type="System.Web.Compilation.UserControlBuildProvider" />
    <add extension=".ashx" type="System.Web.Compilation.WebHandlerBuildProvider" />
   </buildProviders>
  </compilation>
		<httpHandlers>
			<remove verb="*" path="*.asmx"/>
			<add verb="*" path="*.asmx" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"/>
			<add verb="*" path="*_AppService.axd" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"/>
			<add verb="GET,HEAD" path="ScriptResource.axd" type="System.Web.Handlers.ScriptResourceHandler, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" validate="false"/>
		</httpHandlers>
		<!--
            通过 <authentication> 节可以配置 ASP.NET 使用的 
            安全身份验证模式，
            以标识传入的用户。 
        -->
		<authentication mode="Windows"/>
		<!--
        <customErrors mode="RemoteOnly" defaultRedirect="GenericErrorPage.htm">
            <error statusCode="403" redirect="NoAccess.htm" />
            <error statusCode="404" redirect="FileNotFound.htm" />
        </customErrors>
        -->
		<customErrors mode="Off"/>
	</system.web>
</configuration>
